%global __requires_exclude ^perl\((DateTime::Locale|DateTime::TimeZone)\)$


Summary:        Date and time object for Perl
Name:           perl-DateTime
Version:        1.58
Release:        5%{?dist}
License:        Artistic 2.0
URL:            https://metacpan.org/release/DateTime
Source0:        https://cpan.metacpan.org/modules/by-module/DateTime/DateTime-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make perl-devel perl-interpreter 
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl-generators
BuildRequires:  perl(base) perl(Carp) perl(integer) perl(overload) perl(parent) perl(POSIX) perl(Scalar::Util) perl(Specio::Declare)
BuildRequires:  perl(DateTime::Locale) >= 1.06
BuildRequires:  perl(DateTime::TimeZone) >= 2.44
BuildRequires:  perl(namespace::autoclean) >= 0.19
BuildRequires:  perl(Params::ValidationCompiler) >= 0.26
BuildRequires:  perl(Specio) >= 0.18
BuildRequires:  perl(Specio::Exporter) perl(Specio::Library::Builtins) perl(Specio::Library::Numeric) perl(Specio::Library::String)
BuildRequires:  perl(strict) perl(Try::Tiny) perl(warnings) perl(warnings::register) perl(Test::Without::Module)
BuildRequires:  perl(XSLoader)
BuildRequires:  perl(CPAN::Meta::Check) >= 0.011
BuildRequires:  perl(CPAN::Meta::Requirements) perl(File::Spec) perl(Test::Fatal) perl(utf8)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Warnings) >= 0.005
Requires:       perl(XSLoader)



%description
DateTime is a class for the representation of date/time combinations.  It
represents the Gregorian calendar, extended backwards in time before its
creation (in 1582). This is sometimes known as the "proleptic Gregorian
calendar". In this calendar, the first day of the calendar (the epoch), is the
first day of year 1, which corresponds to the date which was (incorrectly)
believed to be the birth of Jesus Christ.

%prep
%setup -q -n DateTime-%{version}

%build
perl Makefile.PL \
  INSTALLDIRS=vendor \
  OPTIMIZE="%{optflags}" \
  NO_PACKLIST=1 \
  NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes CODE_OF_CONDUCT.md CONTRIBUTING.md CREDITS README.md TODO
%{perl_vendorarch}/auto/DateTime/
%{perl_vendorarch}/DateTime/
%{perl_vendorarch}/DateTime.pm
%{_mandir}/man3/DateTime.3*
%{_mandir}/man3/DateTime::Duration.3*
%{_mandir}/man3/DateTime::Infinite.3*
%{_mandir}/man3/DateTime::LeapSecond.3*
%{_mandir}/man3/DateTime::Types.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.58-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.58-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.58-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.58-2
- Rebuilt for OpenCloudOS Stream 23

* Mon May 23 2022  Chair ou  <chairou@tencent.com> - 1.58-1
- Initial build


